Tecnologia e non solo

giugno 22, 2011

Noi siamo i borg, voi sarete assimilati la resistenza è inutile …

Filed under: Debian,Gnome,Sid — telperion @ 12:20 pm

La resistenza, per ora, sembra tutt’altro che inutile.

gnome2egtk3sid

Vedete nella mia sid 64 con gnome 2, le applicazioni gtk3 (tutte nell’immagine escluso nautilus 2.32).
Qualche aggiustatina al mio tema gtk2 per “avvicinarlo” ad adwita, che non è male, idem per il tema metacity, e l’effetto mi piace abbastanza.


Per ora l’unico pinning adottato è questo:

mc@debian64:~$ cat /etc/apt/preferences.d/gnome2
Package: nautilus libnautilus-extension1 nautilus-data
Pin: version 2.32.2.1+mc
Pin-Priority: 1100

mentre il pinning generale è

mc@debian64:~$ cat /etc/apt/preferences
Package: iceweasel*
Pin: release n=experimental
Pin-Priority: 700

Package: *
Pin: release o=Unofficial Multimedia Packages
Pin-Priority: 600

Package: *
Pin: release n=unstable
Pin-Priority: 500

Package: *
Pin: release n=experimental
Pin-Priority: -10

# vedi /etc/apt/preferences.d/gnome2

e

mc@debian64:~$ cat /etc/apt/apt.conf.d/local
APT::Default-Release "unstable";

apt in uso:

mc@debian64:~$ apt-get --version
apt 0.8.14.1 per amd64 compilato il Apr 16 2011 12:41:35

vedi note e novità di apt =>0.8.14

Per conoscere la policy di un pacchetto:

mc@debian64:~$ apt-cache policy nautilus
nautilus:
  Installato: 2.32.2.1+mc
  Candidato:  2.32.2.1+mc
  Gancio del pacchetto: 2.32.2.1+mc
  Tabella versione:
     3.0.2-2 1100
        -10 http://ftp.debian.org/debian/ experimental/main amd64 Packages
 *** 2.32.2.1+mc 1100
        100 /var/lib/dpkg/status
     2.30.1-3 1100
        990 http://ftp.debian.org/debian/ sid/main amd64 Packages

Parola d’ordine: resistere!

7 commenti

  1. Usi Compiz su Gnome 3 vero?

    Commento di Diego — giugno 22, 2011 @ 12:23 pm

    • Non quello è gnome 2.

      Commento di telperion — giugno 22, 2011 @ 12:26 pm

  2. Sei diventato TelPicard, creando un pinning ad hoc per bloccare l’avanzata! Moooolto furbo!

    Commento di Danielsan — giugno 22, 2011 @ 3:01 pm

    • Per ora solo nautilus per precauzione il resto a parte armonizzare i temi gtk2 e 3 non da problemi.
      Se arriva altro da bloccare lo segnalo.
      Ah, con Metacity-2-34 ho dovuto ricompilarmi compiz-core altrimenti gnome-windows-decorator non funzionava più, ma quello perchè me lo impacchetto io, non so se ci son problemi coi pacchetti in repo di compiz, MAI usati.

      Commento di telperion — giugno 22, 2011 @ 3:16 pm

      • Io uso testing quindi sto in un ambiente meno imprevedibile di Sid anche se poi aggiorno quasi sempre con full-upgrade… ^_^’

        Commento di Danielsan — giugno 22, 2011 @ 3:34 pm

      • Bravo. ecco il classico *pressapochismo* di chi arriva dalla (brutta) scuola *bubuntu*.
        Se poi un giorno ti trovi con mezza distro rimossa, poi non prendetela con debian.
        asd

        Commento di telperion — giugno 22, 2011 @ 4:14 pm

  3. Attenzione la versione

    apt-0.8.15.1
    apt-utils-0.8.15.1

    è bacata, se la installate otterrete:

    Gancio del pacchetto: non trovato

    downgradate alla 0.8.15 che funziona

    Commento di telperion — luglio 2, 2011 @ 1:16 pm


RSS feed for comments on this post.

Blog su WordPress.com.

%d blogger cliccano Mi Piace per questo: